<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center">


    <LinearLayout
        android:layout_width="250dp"
        android:layout_height="wrap_content"
        android:background="@drawable/border_dialog_bg"
        android:orientation="vertical">

        <ImageView
            android:id="@+id/iv_upload"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="24dp"
            android:src="@drawable/ic_uploading" />

        <TextView
            android:id="@+id/tv_upload"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="12dp"
            android:text="游戏正在上传中"
            android:textColor="@color/text_primary"
            android:textSize="16sp" />

        <com.gh.gamecenter.common.view.CircleProgressBar
            android:id="@+id/circleProgressBar"
            android:layout_width="48dp"
            android:layout_height="48dp"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="12dp"
            app:normal_color="@color/text_tertiary"
            app:progress="0"
            app:progress_color="@color/primary_theme"
            app:progress_style="STROKE"
            app:stroke_width="3"
            app:text_color="@color/text_1F89EC"
            app:text_size="14sp" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="32dp"
            android:layout_marginBottom="24dp"
            android:gravity="center"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tv_give_up_upload"
                android:layout_width="130dp"
                android:layout_height="40dp"
                android:background="@drawable/button_round_f5f5f5"
                android:gravity="center"
                android:text="放弃上传"
                android:textColor="@color/text_primary"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/tv_exit"
                android:layout_width="101dp"
                android:layout_height="40dp"
                android:background="@drawable/button_round_f5f5f5"
                android:gravity="center"
                android:text="退出"
                android:visibility="gone"
                android:textColor="@color/text_primary"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/tv_contact_customer_service"
                android:layout_width="101dp"
                android:layout_height="40dp"
                android:layout_marginLeft="16dp"
                android:background="@drawable/button_blue_oval"
                android:gravity="center"
                android:text="联系客服"
                android:visibility="gone"
                android:textColor="@color/white"
                android:textSize="14sp" />
        </LinearLayout>
    </LinearLayout>

</RelativeLayout>
